apiVersion: v1
kind: Service
metadata:
  annotations:
  labels:
    app: redis
  name: redis
spec:
  ports:
  - name: redis-port
    port: 6379
    protocol: TCP
    targetPort: 6379
  selector:
    app: redis
  type: NodePort
